# OfxStatusContainer Class Reference

Inheritance diagram for OfxStatusContainer:

## Detailed Description

Represents the <STATUS> OFX SGML entity.

Definition at line 93 of file ofx_containers.hh.

## Public Member Functions

| OfxStatusContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
| ~OfxStatusContainer ()
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
| OfxStatusContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.

## Data Fields

OfxStatusData | data

## Member Function Documentation

void OfxStatusContainer::add_attribute | ( | const string | identifier,
|  | const string | value |
| ) |  |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  | identifier | The name of the data element
  | value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

void OfxStatusContainer::add_attribute | ( | const string | identifier,
|  | const string | value |
| ) |  |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  | identifier | The name of the data element
  | value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 93 of file ofx_containers_misc.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.8.2/lib/ofx_containers.hh
- ofx_containers_misc.cpp
- fx-0.8.2/lib/ofx_containers_misc.cpp